# doPokeballBounceAnim | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function doPokeballBounceAnim

- doPokeballBounceAnim(
  pokeball: Sprite,
  y1: number,
  y2: number,
  baseBounceDuration: number,
  callback: Function,
  isCritical?: boolean,
  ): void

  #### Parameters

  - pokeball: Sprite
  - y1: number
  - y2: number
  - baseBounceDuration: number
  - callback: Function
  - isCritical: boolean = false

  #### Returns void

  - Defined in src/data/pokeball.ts:114